### Function

# Pango AttrType register

#### Declaration [src]

    PangoAttrType
    pango_attr_type_register (
      const char* name
    )

#### Description [src]

Allocate a new attribute type ID.

The attribute type name can be accessed later by using `pango_attr_type_get_name()`.

#### Parameters

`name`

  Type: `const char*`

  An identifier for the type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoAttrType`

The new type ID.